UiPath Documentation
orchestrator
2.2510
true
Orchestrator API guide
  • Getting started
  • Swagger definition
  • Orchestrator APIs

Assets Requests

API requests for retrieving and filtering assets in Orchestrator using OData query parameters.

Note:

Global and Per Robot text assets support up to 1,000,000 characters.

Important:

$filter queries return the result of a custom filter that uses Name and Description parameters in a contains function.

Retrieving a specific asset​

The call below enables you to display all the available information for the asset with the DocAPITest name and 455 Id.

GET

https://{yourDomain}/{organizationName}/{tenantName}/orchestrator_/odata/Assets/UiPath.Server.Configuration.OData.GetRobotAsset(robotId='455',assetName='DocAPITest')

Request headers​

KeyValue
AuthorizationBearer

Response code​

200 OK

Response body​

{
    "@odata.context": "https://{yourDomain}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#UiPath.Application.Dto.Assets.RobotAssetDto",
    "Name": "DocAPITest",
    "ValueType": "Text",
    "StringValue": "An asset added through an API call",
    "BoolValue": false,
    "IntValue": 0,
    "CredentialUsername": "",
    "CredentialPassword": ""
}
{
    "@odata.context": "https://{yourDomain}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#UiPath.Application.Dto.Assets.RobotAssetDto",
    "Name": "DocAPITest",
    "ValueType": "Text",
    "StringValue": "An asset added through an API call",
    "BoolValue": false,
    "IntValue": 0,
    "CredentialUsername": "",
    "CredentialPassword": ""
}

Retrieving per robot assets​

To perform a GET request to the /odata/Assets/UiPath.Server.Configuration.OData.GetRobotAssetByRobotId() endpoint, you need to provide the robotId and assetName in the URL. Please note that only the username is returned for Per Robot credential assets, as you can see in the example below.

GET

https://{yourDomain}/{organizationName}/{tenantName}/orchestrator_/odata/Assets/UiPath.Server.Configuration.OData.GetRobotAssetByRobotId(robotId=193,assetName='Testing')

Request headers​

KeyValue
AuthorizationBearer

Response code​

200 OK

Response body​

{
  "@odata.context": "https://{yourDomain}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#UiPath.Application.Dto.Assets.RobotAssetDto",
  "Name": "Testing",
  "ValueType": "Credential",
  "StringValue": "",
  "BoolValue": false,
  "IntValue": 0,
  "CredentialUsername": "DocBot",
  "CredentialPassword": ""
}
{
  "@odata.context": "https://{yourDomain}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#UiPath.Application.Dto.Assets.RobotAssetDto",
  "Name": "Testing",
  "ValueType": "Credential",
  "StringValue": "",
  "BoolValue": false,
  "IntValue": 0,
  "CredentialUsername": "DocBot",
  "CredentialPassword": ""
}

Adding an asset​

The following example enables you to create a new global asset, of type text.

POST

https://{yourDomain}/{organizationName}/{tenantName}/orchestrator_/odata/Assets

Request headers​

KeyValue
AuthorizationBearer

Request body​

{
    "Name": "DocAPITest",
    "ValueScope": "Global",
    "ValueType": "Text", 
    "StringValue": "An asset added through an API call"
}
{
    "Name": "DocAPITest",
    "ValueScope": "Global",
    "ValueType": "Text", 
    "StringValue": "An asset added through an API call"
}

Response code​

200 OK

Response body​

{
    "@odata.context": "https://{yourDomain}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#Assets/$entity",
    "Name": "DocAPITest",
    "CanBeDeleted": true,
    "ValueScope": "Global",
    "ValueType": "Text",
    "Value": "An asset added through an API call",
    "StringValue": "An asset added through an API call",
    "BoolValue": false,
    "IntValue": 0,
    "CredentialUsername": "",
    "CredentialPassword": "",
    "Id": 455,
    "KeyValueList": []
}
{
    "@odata.context": "https://{yourDomain}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#Assets/$entity",
    "Name": "DocAPITest",
    "CanBeDeleted": true,
    "ValueScope": "Global",
    "ValueType": "Text",
    "Value": "An asset added through an API call",
    "StringValue": "An asset added through an API call",
    "BoolValue": false,
    "IntValue": 0,
    "CredentialUsername": "",
    "CredentialPassword": "",
    "Id": 455,
    "KeyValueList": []
}

Was this page helpful?

Connect

Need help? Support

Want to learn? UiPath Academy

Have questions? UiPath Forum

Stay updated